# Class PointLayer

java.lang.Object
com.codename1.maps.Coord
com.codename1.maps.layers.PointLayer

All Implemented Interfaces:
  `Layer`

public class PointLayer extends Coord implements Layer
Do not use this layer directly, you need to add this layer into a PointsLayer class instance in order for it to work as expected!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointLayer(Coord position, String name, Image icon)`
  Creates a Point Layer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoundingBox`
  `boundingBox()`
  The bounding box of this Layer
  `boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Image`
  `getIcon()`
  Gets the point Icon
  `String`
  `getName()`
  Gets the Point name
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `void`
  `paint(Graphics g, Tile tile)`
  Paints the Layer on the given Graphics
  `void`
  `setDisplayName(boolean displayName)`
  This method declares if the point name should be displayed
  `void`
  `setIcon(Image icon)`
  Sets the display icon
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Coord

  `getLatitude, getLongitude, isProjected, setLatitude, setLongitude, setProjected, translate, translate`

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PointLayer

    public PointLayer(Coord position, String name, Image icon)

    Creates a Point Layer.

    ###### Parameters

    - `position`: the position of the Point

    - `getName`: the getName of the Point

    - `icon`: icon of the Point

- ## Method Details

  - ### getName

    public String getName()

    Gets the Point name

    ###### Returns

    the Point name

    Specified by:
      `getName` in interface `Layer`

  - ### getIcon

    public Image getIcon()

    Gets the point Icon

    ###### Returns

    the point Icon

  - ### setIcon

    public void setIcon(Image icon)

    Sets the display icon

    ###### Parameters

    - `icon`

  - ### setDisplayName

    public void setDisplayName(boolean displayName)

    This method declares if the point name should be displayed

    ###### Parameters

    - `displayName`

  - ### equals

    public boolean equals(Object o)
    Description copied from class: `Coord`
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Coord`

  - ### hashCode

    public int hashCode()
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Coord`

  - ### paint

    public void paint(Graphics g, Tile tile)

    Paints the Layer on the given Graphics

    ###### Parameters

    - `g`: a Graphics Object to paint on

    - `screenTile`: the screen tile

    Specified by:
      `paint` in interface `Layer`

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Coord`

  - ### boundingBox

    public BoundingBox boundingBox()

    The bounding box of this Layer

    ###### Returns

    the Layer bounding box

    Specified by:
      `boundingBox` in interface `Layer`